apiVersion: snapshot.kubevirt.io/v1beta1
kind: VirtualMachineSnapshot
metadata:
  creationTimestamp: "2025-10-29T12:43:42Z"
  finalizers:
  - snapshot.kubevirt.io/vmsnapshot-protection
  generation: 1
  name: snapshot-vm-snapshot-upgrade-b-1761741691-9920404
  namespace: test-upgrade-namespace
  resourceVersion: "2192490"
  uid: 14208742-0d66-4c37-860b-fb4fb00c26df
spec:
  source:
    apiGroup: kubevirt.io
    kind: VirtualMachine
    name: vm-snapshot-upgrade-b-1761741691-9920404
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T12:43:43Z"
    reason: Operation complete
    status: "False"
    type: Progressing
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T12:43:43Z"
    reason: Ready
    status: "True"
    type: Ready
  creationTime: "2025-10-29T12:43:43Z"
  phase: Succeeded
  readyToUse: true
  snapshotVolumes:
    includedVolumes:
    - dv-disk
  sourceUID: 49415a63-0b50-4f3b-8ce7-3c00a9c9a13c
  virtualMachineSnapshotContentName: vmsnapshot-content-14208742-0d66-4c37-860b-fb4fb00c26df
